## ros-kinetic-voice-text 2.1.17

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(voice_text)
find_package(catkin REQUIRED COMPONENTS
  dynamic_reconfigure
  roscpp
  message_generation)

find_package(Boost REQUIRED COMPONENTS filesystem)

generate_dynamic_reconfigure_options(
  cfg/VoiceText.cfg
)

add_service_files(
  FILES
  TextToSpeech.srv
)

generate_messages()

catkin_package(CATKIN_DEPENDS message_runtime)

if("${CMAKE_SIZEOF_VOID_P}" STREQUAL "4")
  set(VT_LIB_ARCH x86_32/)
elseif("${CMAKE_SIZEOF_VOID_P}" STREQUAL "8")
  set(VT_LIB_ARCH x86_64/)
endif()
set(VT_LIB_PATH /usr/vt/sayaka/M16/bin/${VT_LIB_ARCH}RAMIO/libvt_jpn.so)

  include_directories(
    ${Boost_INCLUDE_DIRS}
    ${catkin_INCLUDE_DIRS}
  )
  add_executable(voice_text src/voice_text.cpp)
  add_dependencies(voice_text ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_gencfg)
  set_target_properties(voice_text PROPERTIES COMPILE_FLAGS -D_REENTRANT)

if(NOT EXISTS ${VT_LIB_PATH})
  message(WARNING "VoiceText Library not found at ${VT_LIB_PATH}. building dummy library.")
  add_library(vt_dummy src/dummy/vt_dummy.cpp)
  set_target_properties(vt_dummy PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR})
  set_target_properties(vt_dummy PROPERTIES LIBRARY_OUTPUT_NAME vt_jpn)
  set_target_properties(voice_text PROPERTIES COMPILE_FLAGS -DUSE_DUMMY_INCLUDE)
  set(VT_LIB_PATH ${PROJECT_BINARY_DIR}/libvt_jpn.so)
endif()

  target_link_libraries(voice_text
    ${catkin_LIBRARIES}
    ${VT_LIB_PATH} -lm -lpthread
  )
if(NOT EXISTS ${VT_LIB_PATH})
  add_dependencies(voice_text vt_dummy)
endif()

install(TARGETS voice_text # do not install vt_dummy target, that should be installed from voice_text library
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(PROGRAMS bin/text2wave
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/bin
)
install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-voice-text (2.1.17-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-kinetic-voice-text (2.1.16-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-kinetic-voice-text (2.1.15-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 12 Dec 2019 00:00:00 -0000

ros-kinetic-voice-text (2.1.14-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 21 Nov 2019 00:00:00 -0000

ros-kinetic-voice-text (2.1.13-1xenial) xenial; urgency=high

  * [voice_text] Call rosservice from python instead of bash (#166 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/166> )
    
      * rewrite text2wave with python
      * call rosservice from python instead of bash
    
  * Contributors: Hideaki Ito

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 10 Jul 2019 00:00:00 -0000

ros-kinetic-voice-text (2.1.12-1xenial) xenial; urgency=high

  * Fix install directory of text2wave to ./lib -> ./bin (#160 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/160>)
    text2wave Was wrongly  installed to CATKIN_PACKAGE_LIB_DESTINATION
    The launch file is assumed that it is installed under rospack find voice_text/bin
    https://github.com/jsk-ros-pkg/jsk_3rdparty/blob/2.1.10/3rdparty/voice_text/launch/voice_text.launch#L29
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 25 May 2019 00:00:00 -0000

ros-kinetic-voice-text (2.1.11-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 29 Aug 2018 00:00:00 -0000

ros-kinetic-voice-text (2.1.10-1xenial) xenial; urgency=high

  * add dependencies from voice_text to vt_dummy, solves #139 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/139> (#143 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/143>)
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 25 Apr 2018 00:00:00 -0000

ros-kinetic-voice-text (2.1.9-1xenial) xenial; urgency=high

  * voice_text: add gencfg target to deps (#141 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/141>)
  * Contributors: Yuki Furta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 24 Apr 2018 00:00:00 -0000

ros-kinetic-voice-text (2.1.8-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 17 Apr 2018 00:00:00 -0000

ros-kinetic-voice-text (2.1.7-1xenial) xenial; urgency=high

  * voice_text: support dynamic linking (#135 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/135>)
    * install voice_text TARGETS - voice_text: CMakeLists.txt: remove debug code to force non-exists VT_LIB_PATH
    * voice_text: guide to install libs
    * install voice_text TARGETS
    * voice_text: CMakeLists.txt: remove debug code to force non-exists VT_LIB_PATH
    * add dependencies from generate_message_cpp to voice_text
    * use vt_dummy when we do not have voice_text library
  * Contributors: Kei Okada, Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 09 Apr 2018 00:00:00 -0000

ros-kinetic-voice-text (2.1.6-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 21 Nov 2017 00:00:00 -0000

ros-kinetic-voice-text (2.1.5-1xenial) xenial; urgency=high

  * [voice_text] Add respawn argument for sound_play (#125 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/125>)
  * Contributors: Shunichi Nozawa

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 20 Nov 2017 00:00:00 -0000

ros-kinetic-voice-text (2.1.4-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 16 Jul 2017 00:00:00 -0000

ros-kinetic-voice-text (2.1.3-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 07 Jul 2017 00:00:00 -0000

ros-kinetic-voice-text (2.1.2-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 06 Jul 2017 00:00:00 -0000

ros-kinetic-voice-text (2.1.1-1xenial) xenial; urgency=high

  * add dynamic_reconfigure to run/build depends  (#110 <https://github.com/jsk-ros-pkg/jsk_3rdparty/pull/110>)
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 05 Jul 2017 00:00:00 -0000

ros-kinetic-voice-text (2.1.0-1xenial) xenial; urgency=high

  * [voice_text] Refactor API (#101 <https://github.com/jsk-ros-pkg/jsk_3rdparty/pull/101>)
    * Cleanup directory (remove rosbuild related files.)
    * Rewrote VoiceText server node as ROS friendly.
    * text2wave calls rosservice internally (This enables running VoiceText
    * engine on remote machine easily)
    * Create sample launch file
    * Create README
    * WARNING : This breaks API (we need to run voice_text node in addition to sound_play), so existing users will have to change launch file for using voice text.
  * Contributors: Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 02 Jul 2017 00:00:00 -0000

ros-kinetic-voice-text (2.0.20-1xenial) xenial; urgency=high



 -- k-okada <t@t.com>  Tue, 09 May 2017 00:00:00 -0000

ros-kinetic-voice-text (2.0.19-1xenial) xenial; urgency=high



 -- k-okada <t@t.com>  Wed, 22 Feb 2017 00:00:00 -0000

ros-kinetic-voice-text (2.0.18-1xenial) xenial; urgency=high



 -- k-okada <t@t.com>  Fri, 28 Oct 2016 00:00:00 -0000

ros-kinetic-voice-text (2.0.17-1xenial) xenial; urgency=high



 -- k-okada <t@t.com>  Sat, 22 Oct 2016 00:00:00 -0000

ros-kinetic-voice-text (2.0.16-1xenial) xenial; urgency=high



 -- k-okada <t@t.com>  Mon, 17 Oct 2016 00:00:00 -0000

ros-kinetic-voice-text (2.0.15-1xenial) xenial; urgency=high

  * voice_text : clean up CMakeList.txt
  * [3rdparty/voice_text/text2wave] Enable text2wave using VoiceText other than pr2 robots.
  * Contributors: Kei Okada, Shunichi Nozawa

 -- k-okada <t@t.com>  Sun, 16 Oct 2016 00:00:00 -0000

ros-kinetic-voice-text (2.0.14-1xenial) xenial; urgency=high



 -- k-okada <t@t.com>  Sun, 20 Mar 2016 00:00:00 -0000



=== debian/control ===
Source: ros-kinetic-voice-text
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-dynamic-reconfigure, ros-kinetic-message-generation, ros-kinetic-roscpp
Homepage: http://ros.org/wiki/voice_text
Standards-Version: 3.9.2

Package: ros-kinetic-voice-text
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nkf, ros-kinetic-dynamic-reconfigure, ros-kinetic-message-runtime, ros-kinetic-sound-play
Description: voice_text (www.voicetext.jp)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-voice-text//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
